Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.create
Class Ejb3Creator

    java.lang.Object
      org.directwebremoting.create.AbstractCreator
          org.directwebremoting.create.Ejb3Creator

All Implemented Interfaces:
  Creator

    public class Ejb3Creator

extends AbstractCreator
implements Creator

A Creator that works against EJB3 beans

Author:
  Squishy [Squishy_I at gmx dot net], Joe Walker [joe at getahead dot ltd dot uk]

Field Summary

Fields inherited from interface org.directwebremoting.extend.Creator
`APPLICATION, PAGE, REQUEST, SCRIPT, SESSION`

Constructor Summary
`Ejb3Creator()`

Method Summary
`java.lang.Object` | `getInstance()` Accessor for the/an instance of this Creator.
`java.lang.Class` | `getType()` Accessor for the `java.lang.Class` that this Creator allows access to.
`void` | `setBean(java.lang.String bean)` Set the name of the bean for the JNDI lookup
`void` | `setBeanNamePostfix(java.lang.String beanNamePostfix)` Set the ending that is appended to the actual bean name fetched from the interface name (UserMgr --> UserMgrBean).
`void` | `setInterface(java.lang.String className)` The common interface of the Bean.
`void` | `setInterfaceType(java.lang.String iface)` Get local or remote interface? Defaults remote

Methods inherited from class org.directwebremoting.create.AbstractCreator
`getJavascript, getScope, isCacheable, setCacheable, setJavascript, setProperties, setScope, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Creator
`getJavascript, getScope, isCacheable, setProperties`

Constructor Detail

### Ejb3Creator

    public Ejb3Creator()

Method Detail

### setInterface

    public void setInterface(java.lang.String className)

  The common interface of the Bean. If you don't have a common interface from which local and remote are derived, you have to set the bean name manually! The BeanName is fetched from the part of the String behind the last '.'

  Parameters:
    `className` - The fully qualified class name of the Bean's interface

### setBean

    public void setBean(java.lang.String bean)

  Set the name of the bean for the JNDI lookup

  Parameters:
    `bean` -

### setInterfaceType

    public void setInterfaceType(java.lang.String iface)

  Get local or remote interface? Defaults remote

  Parameters:
    `iface` - Either "local" for the local interface or anything else for the remote

### setBeanNamePostfix

    public void setBeanNamePostfix(java.lang.String beanNamePostfix)

  Set the ending that is appended to the actual bean name fetched from the interface name (UserMgr --> UserMgrBean). Defaults to "Bean"

  Parameters:
    `beanNamePostfix` - The name to append to a bean before lookup

### getType

    public java.lang.Class getType()

  Description copied from interface: `Creator`
  Accessor for the `java.lang.Class` that this Creator allows access to.

  Specified by:
    `getType` in interface `Creator`
  Returns:
    The type of this allowed class

### getInstance

    public java.lang.Object getInstance()
                                 throws java.lang.InstantiationException

  Description copied from interface: `Creator`
  Accessor for the/an instance of this Creator.

  Specified by:
    `getInstance` in interface `Creator`
  Returns:
    the instance to use
  Throws:
    `java.lang.InstantiationException` - If for some reason the object can not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD